clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::ASTRetentionPolicy Struct Reference

Configuration of the AST retention policy. More...

`#include <TUScheduler.h>`

Collaboration diagram for clang::clangd::ASTRetentionPolicy:
[legend]

## Public Attributes
unsigned | MaxRetainedASTs = 3
| Maximum number of ASTs to be retained in memory when there are no pending requests for them. More...

## Detailed Description

Configuration of the AST retention policy.

This only covers retention of idle ASTs. If queue has operations requiring the AST, they might be kept in memory.

Definition at line 57 of file TUScheduler.h.

## Member Data Documentation

## ◆ MaxRetainedASTs

unsigned clang::clangd::ASTRetentionPolicy::MaxRetainedASTs = 3

Maximum number of ASTs to be retained in memory when there are no pending requests for them.

Definition at line 60 of file TUScheduler.h.

The documentation for this struct was generated from the following file:

- TUScheduler.h